com.ihr.xbrl.om

## Class VoidErrorListener

- java.lang.Object
- - com.ihr.xbrl.om.VoidErrorListener

- All Implemented Interfaces:
    javax.xml.transform.ErrorListener

      public class VoidErrorListener
      extends java.lang.Object
      implements javax.xml.transform.ErrorListener

  Used to avoid errors to appear in the standad error while errors are thrown. Basically errors are raised back to applications but the standard error output remais intact.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoidErrorListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(javax.xml.transform.TransformerException exception)`
    `void` | `fatalError(javax.xml.transform.TransformerException exception)`
    `void` | `warning(javax.xml.transform.TransformerException exception)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoidErrorListener

          public VoidErrorListener()

  - ### Method Detail

    - #### error

          public void error(javax.xml.transform.TransformerException exception)
                     throws javax.xml.transform.TransformerException

      Specified by:
        `error` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### fatalError

          public void fatalError(javax.xml.transform.TransformerException exception)
                          throws javax.xml.transform.TransformerException

      Specified by:
        `fatalError` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### warning

          public void warning(javax.xml.transform.TransformerException exception)
                       throws javax.xml.transform.TransformerException

      Specified by:
        `warning` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`